Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062237 (polkit-qt5-1) - Review Request: polkit-qt5-1 - Qt5 bindings for PolicyKit
Summary: Review Request: polkit-qt5-1 - Qt5 bindings for PolicyKit
Keywords:
Status: CLOSED ERRATA
Alias: polkit-qt5-1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maros Zatko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: extra-cmake-modules
Blocks: qt-reviews kf5-kauth
TreeView+ depends on / blocked
 
Reported: 2014-02-06 13:49 UTC by Lubomir Rintel
Modified: 2014-06-19 22:51 UTC (History)
7 users (show)

Fixed In Version: polkit-qt5-1-0.103.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 13:11:33 UTC
mzatko: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-02-06 13:49:57 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/polkit-qt5-1.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/polkit-qt5-1-0.103.0-1.fc21.src.rpm

Description:

Polkit-qt5-1 is a library that lets developers use the PolicyKit API
through a nice Qt5-styled API.

Comment 1 Maros Zatko 2014-02-16 15:42:59 UTC
doesn't look like a cat vomit;
builds in mockchain with [1] extra-cmake-modules
looks OK

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1061019

APPROVED

Comment 2 Lubomir Rintel 2014-02-16 15:47:34 UTC
New Package SCM Request
=======================
Package Name: polkit-q5-1
Short Description: Qt5 bindings for PolicyKit
Owners: lkundrak cicku
Branches: f19 f20 el6 epel7

Comment 3 Gwyn Ciesla 2014-02-17 13:09:54 UTC
Git done (by process-git-requests).

Comment 4 Rex Dieter 2014-02-18 01:23:25 UTC
Missing  build dependency:

extra-cmake-modules is needed by polkit-qt5-1-0.103.0-1.fc20.x86_64

Comment 5 Rex Dieter 2014-04-12 13:16:19 UTC
Maybe too late now, but this package appears to build from the same sources as the existing polkit-qt package.  Probably would've been better to build qt5 support from there instead of introducing a separate package.

Was there some reason that made doing this separately necessary?

Comment 6 Daniel Vrátil 2014-06-11 12:43:27 UTC
Lubomir, has this package been imported to F20 already? It's in distgit, but I can't see the package in repos.


What I find rather unfortunate is the choosing of name, since qt4 version is called polkit-qt, not polkit-qt-1, so I'd expect this package to be called polkit-qt5 (without the -1 suffix). I think having at least Provides: polkit-qt5 would be nice.

Comment 7 Lubomir Rintel 2014-06-11 12:48:58 UTC
No.

Comment 8 Lubomir Rintel 2014-06-11 12:50:14 UTC
Well, that only answered the first question; I'll need some time to refresh my memory to answer the second one.

Comment 9 Lubomir Rintel 2014-06-11 12:52:38 UTC
Well, the name follows upstream naming. I don't really have any strong opinions about it though.

I really expected the package to be retired after no more than a couple of releases, as the qt5 support folds back into the original one.

Comment 10 Lubomir Rintel 2014-06-11 12:53:24 UTC
That said; nothing should depend on the current name. Everything should depend on AutoProv'd pkgconfig() or .so provides.

Comment 11 Rex Dieter 2014-06-11 13:11:33 UTC
Let's close the review, there's little point leaving this open.

I'll add a -devel provides for convenience.

Comment 12 Fedora Update System 2014-06-11 14:50:34 UTC
polkit-qt5-1-0.103.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/polkit-qt5-1-0.103.0-3.fc20

Comment 13 Fedora Update System 2014-06-19 22:51:28 UTC
polkit-qt5-1-0.103.0-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.